<?xml version="1.0" encoding="UTF-8"?>

<!--
|>
| DATA FORMATS ANALYZER 1-1-1 - DFA COMPACT CONCEPTS XSL [http://www.universalchemicalmarkup.org]
| Updated: 2014-06-18
| License: GNU GPL 3 [http://www.gnu.org/licenses/gpl-3.0.html]
| Author: Jan Mokrý (Main corresponding author:
|                    Contact information is at the project website.)
|>
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">

    <xsl:output method="xml" indent="no"/>

    <xsl:template match="/">
        <xsl:text>&#10;&#10;</xsl:text>
        <concepts>
            <xsl:text>&#10;&#10;</xsl:text>
            <xsl:for-each-group group-by="substring-before(@name, ' (')" select="//concept">
                <xsl:sort select="current-grouping-key()"/>
                <concept name="{current-grouping-key()}">
                    <xsl:text>&#10;</xsl:text>
                    <attributes>
                        <xsl:for-each select="current-group()">
                            <li>
                                <xsl:value-of select="substring-before(substring-after(@name, ' ('), ')')"/>
                                <xsl:text> -- </xsl:text>
                                <xsl:value-of select="./attributes"/>
                            </li>
                            <xsl:if test="not(position() = last())"><xsl:text>&#10;</xsl:text></xsl:if>
                        </xsl:for-each>
                    </attributes>
                    <xsl:text>&#10;</xsl:text>
                    <elements>
                        <xsl:for-each select="current-group()">
                            <li>
                                <xsl:value-of select="substring-before(substring-after(@name, ' ('), ')')"/>
                                <xsl:text> -- </xsl:text>
                                <xsl:value-of select="./elements"/>
                            </li>
                            <xsl:if test="not(position() = last())"><xsl:text>&#10;</xsl:text></xsl:if>
                        </xsl:for-each>
                    </elements>
                    <xsl:text>&#10;</xsl:text>
                    <description>
                        <xsl:value-of select="string-join(current-group()//description, '')"/>
                    </description>
                    <xsl:text>&#10;</xsl:text>
                </concept>
                <xsl:text>&#10;&#10;</xsl:text>
            </xsl:for-each-group>
        </concepts>
    </xsl:template>

</xsl:stylesheet>
